## kio-s3 0.0+p24.04+vunstable+git20251020.1230

=== debian/changelog ===
kio-s3 (0.0+p24.04+vunstable+git20251020.1230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:30:01 +0000

kio-s3 (0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:47:38 +0000
