## kio-s3 0.0+p24.04+vunstable+git20251126.0404

=== debian/changelog ===
kio-s3 (0.0+p24.04+vunstable+git20251126.0404-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 26 Nov 2025 04:04:30 +0000
