## kio-s3 0.0+p24.04+vunstable+git20251201.0320

=== debian/changelog ===
kio-s3 (0.0+p24.04+vunstable+git20251201.0320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 03:20:20 +0000
