=== debian/control ===
Source: kio-s3
Section: kde
Priority: optional
Build-Depends: aws-sdk-cpp,
               cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               libpolkit-qt6-1-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/system/kio-s3
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kio-s3.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kio-s3
Maintainer: Neon CI <neon@kde.org>

Package: kio-s3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Amazon S3 integration with KDE Plasma and KDE applications
 KIO S3 enables KIO-aware applications (such as Dolphin, Kate or
 Gwenview) to access and edit Amazon S3 buckets and objects.
